version: '3.7'
services:
  jenkins:
    privileged: true
    build:
      context: '.'
      dockerfile: './images/Dockerfile'
    ports:
      - '8080:8080'
      - '50000:50000'
    volumes:
      - ./jenkins/volumes/jenkins_home:/var/jenkins_home
      - /var/run/docker.sock:/var/run/docker.sock
      - /usr/local/bin/docker:/bin/docker

volumes:
  jenkins:
